---
layout: post
title: "Be social"
date: 2016-09-15 16:25:06
description: Built-in share buttons!
share: true
tags:
 - tags
---

# Social icons

You can have social icons which could lead to your social profile.
Out-of-the box it has: 

<ul class="social-media">
  <li>
    <a title="Github"
      href="https://github.com/{{ site.social.github }}"
      target="_blank"><i class="fa fa-github fa-2x"></i></a>
  </li>
  <li>
    <a title="StackOverflow"
      href="http://stackoverflow.com/users/1252056/{{ site.social.stackoverflow }}"
      target="_blank"><i class="fa fa-stack-overflow fa-2x"></i></a>
  </li>
  <li>
    <a title="LinkedIn"
      href="https://www.linkedin.com/in/{{ site.social.linkedin }}"
      target="_blank"><i class="fa fa-linkedin fa-2x"></i></a>
  </li>
  <li>
    <a title="Instagram"
      href="https://instagram.com/{{ site.social.instagram }}"
      target="_blank"><i class="fa fa-instagram fa-2x"></i></a>
  </li>
  <li>
    <a title="Last.fm"
      href="http://lastfm.com/user/{{ site.social.lastfm }}"
      target="_blank"><i class="fa fa-lastfm fa-2x"></i></a>
  </li>
  <li>
    <a title="RSS"
      href="{{site.url}}/{{ site.social.rss }}"
      target="_blank"><i class="fa fa-rss fa-2x"></i></a>
  </li>
</ul>

They could be setup in `_config.yml`.

To add more icons do following steps:

 - choose an icon you want to use: [Font Awesome Icons](https://fortawesome.github.io/Font-Awesome/icons/)
 - add variable in `_config.yml`
 - add icon in `social.html` with check if variable exists:
 
{% highlight html %}
{% raw %}
{% if site.social.rss %}
  <li>
    <a title="{{ site.social.<your_social_variable> }}" 
       href="{{site.url}}/{{ site.social.<your_social_variable> }}" 
       target="_blank"><font_awesome_icon></i></a>
  </li>
{% endif %}
{% endraw %}
{% endhighlight html %}


# Share buttons

This theme comes with built-in share buttons. You can see them in the bottom of this post.
To turn them on in the header of your post add:

{% highlight yml %}
layout: post
title: "Be sociable"
date: 2016-05-15 16:25:06
description: Built-in share buttons!
share: true <-- here
{% endhighlight yml %}

If you want to disable some of them - go to **_config.yml**:

>_config.yml
{:.filename}
{% highlight yml%}
share:
  facebook: true
  twitter: true
  gplus: true
  linkedin: true
  pinterest: true
  email: true
{% endhighlight yml%}

To add new buttons:

1. add icon name in **_config.yml**;
2. add section in **_includes/share.html**;
3. add styles in **css/theme.css**.